## clock-ui 0.7-0+0cssu9

=== debian/changelog ===
clock-ui (0.7-0+0cssu9) unstable; urgency=low

  * Remove dependency on thumb kernel fix

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 15 Oct 2017 17:20:13 -0400

clock-ui (0.7-0+0cssu8) unstable; urgency=low

  * Update date and time display on alarm time/date changed
  * Do not save alarms with wrong date

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 25 Jan 2016 17:07:11 +0200

clock-ui (0.7-0+0cssu7) unstable; urgency=low

  * Preset new alarms time one minute from now.
  * various UI fixes
  * Set alarm day to the nearest date no matter recurrence or not
  * Do not redraw the entire list on change, just what is needed.
  * Fix alarms order when 12 hours clock
  * Do not allow an alarm to be created with time in the past
  * Fix alarms dialog when clock is 12 hours.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 24 Jan 2016 13:19:53 +0200

clock-ui (0.7-0+0cssu6) unstable; urgency=low

  * Fix title column width

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 21 Jan 2016 17:28:25 +0200

clock-ui (0.7-0+0cssu5) unstable; urgency=low

  * fix clock button size and alignment
  * fix new alarms set time
  * Show alarm date for non-recurring alarms as well
  * fix a crash when trying to enable an alarm that is in the past
  * Enable alarm on valid time selected
  * Fix alarm title utf8 display.
  * Fix title column width

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 17 Jan 2016 15:19:41 +0200

clock-ui (0.7-0+0cssu4) unstable; urgency=low

  * make interaction in alarm dialog like in stock
  * Make sure to use the correct cookie when displaying the remaining time
  * use QMaemo5InformationBox instead of dbus-send to show remaining time banner

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 17 Jan 2016 09:04:15 +0200

clock-ui (0.7-0+0cssu3) unstable; urgency=low

  * fix alarm tone unable to be set.
  * highlight the selected alarm in alarms dialog

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 16 Jan 2016 20:59:53 +0200

clock-ui (0.7-0+0cssu2) unstable; urgency=low

  * fix wdgt_va_24h_time displayed instead of remaning time

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 16 Jan 2016 19:39:44 +0200

clock-ui (0.7-0+0cssu1) unstable; urgency=low

  * Major code refactoring and optimization

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 16 Jan 2016 19:27:03 +0200

clock-ui (0.6-1+0cssu7) unstable; urgency=low

  * add maemo-launcher support
  * add -dbg package
  * add thumb support in debian/rules

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 30 Apr 2015 19:55:11 +0300

clock-ui (0.6-1+0cssu6) unstable; urgency=low

  * alarm with date shows original alarm time after snooze
    and those alarms can no longer be disabled during snooze
  * recurrent alarms should now keep their original time in the alarmlist

 -- Arno Dekker <adekker@gmail.com>  Wen, 24 Apr 2014 10:05:30 +0200

clock-ui (0.6-1+0cssu5) unstable; urgency=low

  * changed the order in alarmlist refresh to prevent issues with next alarm
    display when the clock is turned back within worldclock

 -- Arno Dekker <adekker@gmail.com>  Wen, 8 Jan 2014 21:05:32 +0000

clock-ui (0.6-1+0cssu4) unstable; urgency=low

  * datepicker will show day of week (qalendar like)
  * smoother scrolling in time- and datepicker
  * more space for monthnames in datepicker
  * fixed wrong fontsize with 12 hours clock and no seconds

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 15 Oct 2013 15:14:37 +0200

clock-ui (0.6-1+0cssu3) unstable; urgency=low

  * "No alarms" will be displayed in alarmlist if relevant (default clock like)
  * am/pm textpart in time display made smaller (default clock like)
  * setting time plus date in past again made more difficult
  * prepared for possible future custom per alarm sounds

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 18 Sep 2013 20:27:43 +0200

clock-ui (0.6-1+0cssu2) unstable; urgency=low

  * fix issues found in Spanish and Polish settings

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 11 Aug 2013 20:37:46 +0200

clock-ui (0.6-1+0cssu1) unstable; urgency=low

  * Initial release

 -- Pali Rohár <pali.rohar@gmail.com>  Fri, 26 Jul 2013 10:23:46 +0200
